Gda.SqlSelectFrom – Gda-6.0 Reference Manual

# SqlSelectFrom

## Object Hierarchy:

## Description:

[ CCode ( copy_function = "g_boxed_copy" , free_function = "g_boxed_free" , type_id = "gda_sql_select_from_get_type ()" ) ]
[ Compact ]
public class SqlSelectFrom
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- public SqlSelectFrom (SqlAnyPart parent)

### Methods:

- public SqlSelectFrom copy ()
- public void free ()
- public string serialize ()
- public void take_new_join (SqlSelectJoin join)
- public void take_new_target (SqlSelectTarget target)

### Fields:

- public unowned SqlAnyPart any
- public unowned SList<SqlSelectJoin> joins
- public unowned SList<SqlSelectTarget> targets